SUBDIRS = mock .
AM_CPPFLAGS = -DKDE_NO_COMPAT -DQT_NO_ASCII_CAST -DQT_NO_COMPAT \
	$(KOPETE_INCLUDES) -I$(top_srcdir)/kopete/libkopete/private -I$(top_srcdir)/kopete/libkopete/private -I$(top_srcdir)/kopete/libkopete/tests/mock $(all_includes) -DSRCDIR=\"$(top_srcdir)/kopete/libkopete/tests\"
METASOURCES = AUTO

check_LTLIBRARIES = tdeunittest_kopetemessage_test.la tdeunittest_kopetepropertiestest.la tdeunittest_kopetecontactlist_test.la 
noinst_LTLIBRARIES = tdeunittest_kopeteemoticontest.la

check_PROGRAMS = kopetewallettest_program kopetepasswordtest_program

tdeunittest_kopetepropertiestest_la_SOURCES = kopetepropertiestest.cpp ../kopeteproperties.cpp
tdeunittest_kopetepropertiestest_la_LIBADD = -ltdeunittest ../libkopete.la
tdeunittest_kopetepropertiestest_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

tdeunittest_kopeteemoticontest_la_SOURCES = kopeteemoticontest.cpp
tdeunittest_kopeteemoticontest_la_LIBADD = -ltdeunittest ../libkopete.la
tdeunittest_kopeteemoticontest_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

tdeunittest_kopetemessage_test_la_SOURCES = kopetemessage_test.cpp
tdeunittest_kopetemessage_test_la_LIBADD = -ltdeunittest mock/libkopete_mock.la
tdeunittest_kopetemessage_test_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

kopetewallettest_program_SOURCES = kopetewallettest_program.cpp
kopetewallettest_program_LDFLAGS = -no-undefined $(all_libraries) $(KDE_RPATH)
kopetewallettest_program_LDADD = ../libkopete.la

kopetepasswordtest_program_SOURCES = kopetepasswordtest_program.cpp
kopetepasswordtest_program_LDFLAGS = -no-undefined $(all_libraries) $(KDE_RPATH)
kopetepasswordtest_program_LDADD = ../libkopete.la

tdeunittest_kopetecontactlist_test_la_SOURCES = kopetecontactlist_test.cpp
tdeunittest_kopetecontactlist_test_la_LIBADD = -ltdeunittest mock/libkopete_mock.la
tdeunittest_kopetecontactlist_test_la_LDFLAGS = -module $(KDE_CHECK_PLUGIN) $(all_libraries)

noinst_HEADERS = kopetepropertiestest.h kopeteemoticontest.h

check-local: 
	tdeunittestmodrunner
guicheck:
	tdeunittestmod $(PWD)

